Index: src/networks/gnutella2/g2Proto.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella2/g2Proto.ml,v
retrieving revision 1.16
diff -u -u -w -r1.16 g2Proto.ml
--- src/networks/gnutella2/g2Proto.ml	17 May 2006 08:52:44 -0000	1.16
+++ src/networks/gnutella2/g2Proto.ml	19 May 2006 21:58:32 -0000
@@ -582,7 +582,7 @@
       (len_len lsl 6) lor ((name_len-1) lsl 3)
   in
   let cb = if cb=0 then cb+4 else cb in
- (* if !verbose then lprintf_nl () "2encode: cb=%d size=%d len_len=%d" cb !size len_len; *)
+ (* if !verbose then lprintf_nl "2encode: cb=%d size=%d len_len=%d" cb !size len_len; *)
   
   Buffer.add_char buf (char_of_int cb);
   if len_len = 1 then 
@@ -609,7 +609,7 @@
     if be then 
       (
        if !verbose then
-         lprintf_nl () "Big Endian not supported yet";
+         lprintf_nl "Big Endian not supported yet";
        raise Exit
       );
     let module M = G2_LittleEndian in
@@ -766,7 +766,7 @@
   with e ->
       if !verbose_unknown_messages then
         begin
-          lprintf_nl () "g2_decode_payload cannot parse: %s" (Printexc2.to_string e);
+          lprintf_nl "g2_decode_payload cannot parse: %s" (Printexc2.to_string e);
           List.iter (fun name -> lprintf "/%s" name) (List.rev names);
           lprintf "\n%s\n" (sdump s);
         end;
@@ -834,7 +834,7 @@
   let msg_len = 1 + len_len + name_len + pkt_len in
   (*
   if !verbose then 
-    lprintf_nl () "g2_extract_packet: be:%B len: %d len_len: %d pkt_len: %d pkt_pos: %d name_len: %d msg_len: %d" 
+    lprintf_nl "g2_extract_packet: be:%B len: %d len_len: %d pkt_len: %d pkt_pos: %d name_len: %d msg_len: %d" 
       be len len_len pkt_len pkt_pos name_len msg_len;
   *)
 
@@ -853,7 +853,7 @@
   do_if_connected sock (fun sock ->
       let m = g2_encode p in
       if !verbose then begin 
-        lprintf_nl () "socket_send_sock %s:" (Ip.to_string (peer_ip sock));
+        lprintf_nl "socket_send_sock %s:" (Ip.to_string (peer_ip sock));
         dump_hex m; 
       end;
       write_string sock m
@@ -883,14 +883,14 @@
               let (s,ip,port,seq,times, next_time,acked) = 
                 Fifo.take udp_packet_waiting_for_ack in
               if not !acked then begin
-                  if !verbose then lprintf_nl () "resend_udp_packets %s %d: %d" (Ip.to_string ip) port seq;
+                  if !verbose then lprintf_nl "resend_udp_packets %s %d: %d" (Ip.to_string ip) port seq;
                   UdpSocket.write sock false s ip port;
                   if times < 3 then 
                     Fifo.put udp_packet_waiting_for_ack (s, ip, port, seq, 
                       times+1, 
                       last_time () + 10, acked)
                   else begin
-                    if !verbose then lprintf_nl () "resend_udp_packets: packet %d lost" seq;
+                    if !verbose then lprintf_nl "resend_udp_packets: packet %d lost" seq;
                   end
                 end;
             end else
@@ -914,7 +914,7 @@
         in
             
         if !verbose_msg_servers then begin
-            lprintf_nl () "Sending on UDP(%d)%s to %s:%d: %s"
+            lprintf_nl "Sending on UDP(%d)%s to %s:%d: %s"
               !udp_counter
               (if compress then " (zlib)" else "")
               (Ip.to_string ip) port
@@ -937,7 +937,7 @@
           (char_of_int (counter land 0xff))
           (char_of_int ((counter lsr 8) land 0xff))
         in
-        (* if !verbose then lprintf_nl () "udp_send_ack: %s %d" (Ip.to_string ip) port; *)
+        (* if !verbose then lprintf_nl "udp_send_ack: %s %d" (Ip.to_string ip) port; *)
         UdpSocket.write sock false s ip port
       with e ->
           lprintf "Exception %s in udp_send\n" (Printexc2.to_string e)
@@ -950,7 +950,7 @@
   match sock with
   | Connection _   ->
       if !verbose_msg_servers then
-        lprintf_nl () "Sending on TCP to %s:%d: %s" 
+        lprintf_nl "Sending on TCP to %s:%d: %s" 
           (Ip.to_string ip) port (Print.print p);
       socket_send sock p
   | _ -> 
@@ -962,18 +962,18 @@
   let b = TcpBufferedSocket.buf sock in
 
   if !verbose then begin
-    lprintf_nl () "g2_handler:";
+    lprintf_nl "g2_handler:";
     AnyEndian.dump_hex (String.sub b.buf b.pos b.len);
   end;
 
   try
     while b.len >= 2 do
       let s = b.buf in
-      (* if !verbose then lprintf_nl () "g2_tcp_packet_handler"; *)
+      (* if !verbose then lprintf_nl "g2_tcp_packet_handler"; *)
       let cb = get_uint8 s b.pos in
       let len_len = (cb lsr 6) land 3 in
       let be = cb land 2 <> 0 in
-      (* if !verbose then lprintf_nl () "b.len: %d < 1 + len_len: %d be: %B" b.len len_len be; *)
+      (* if !verbose then lprintf_nl "b.len: %d < 1 + len_len: %d be: %B" b.len len_len be; *)
 
       if b.len < 1 + len_len then raise Not_found;
       
@@ -989,10 +989,10 @@
       let name_len = ((cb lsr 3) land 7) + 1 in
       let msg_len = 1 + len_len + name_len + len in
       (* if !verbose then
-        lprintf_nl () "b.len: %d < msg_len: %d name_len: %d" b.len msg_len name_len; *)
+        lprintf_nl "b.len: %d < msg_len: %d name_len: %d" b.len msg_len name_len; *)
       if b.len < msg_len then raise Not_found;
       
-      (* if !verbose then lprintf_nl () "One gnutella2 packet received";  *)
+      (* if !verbose then lprintf_nl "One gnutella2 packet received";  *)
       let name = String.sub b.buf (b.pos + pos) name_len in
       let packet = String.sub b.buf (b.pos + pos + name_len) len in
       let has_children = cb land 4 <> 0 in
@@ -1044,7 +1044,7 @@
 
   (*
   if !verbose then begin
-    lprintf_nl () "NEW UDP PACKET FROM %s %d:" (Ip.to_string ip) port;
+    lprintf_nl "NEW UDP PACKET FROM %s %d:" (Ip.to_string ip) port;
     AnyEndian.dump_hex buf;
   end;
   *)
@@ -1127,7 +1127,7 @@
     
     
     if !verbose then begin
-      lprintf_nl () "FULL UDP PACKET FROM %s %d:" (Ip.to_string ip) port;
+      lprintf_nl "FULL UDP PACKET FROM %s %d:" (Ip.to_string ip) port;
       AnyEndian.dump_hex buf;
     end;
     
@@ -1147,7 +1147,7 @@
         | 3, false -> LittleEndian.get_int24 buf (pos+1), 4
         | _ ->
             if !verbose then
-              lprintf_nl () "no correct pkt_len, pkt_pos";
+              lprintf_nl "no correct pkt_len, pkt_pos";
             0, 1
       in
       let name_len = ((cb lsr 3) land 7) + 1 in
@@ -1171,7 +1171,7 @@
       let has_children = cb land 4 <> 0 in
       let p = g2_parse [name] has_children be packet in
       if !verbose_msg_servers then
-        lprintf_nl () "UDP PACKET: %s" (Print.print p); 
+        lprintf_nl "UDP PACKET: %s" (Print.print p); 
       
 (* Test Encoder *)
       
@@ -1354,7 +1354,7 @@
 
   
 let host_send_qkr h =
-  if !verbose then lprintf_nl () "host_send_qkr";
+  if !verbose then lprintf_nl "host_send_qkr";
   host_send NoConnection h
     (packet QKR [])
 
@@ -1600,7 +1600,7 @@
         | 3, false -> LittleEndian.get_int24 buf (pos+1), 4
         | _ ->
             if !verbose then
-              lprintf_nl () "no correct pkt_len, pkt_pos";
+              lprintf_nl "no correct pkt_len, pkt_pos";
             0, 1
       in
       let name_len = ((cb lsr 3) land 7) + 1 in
Index: src/networks/gnutella2/g2Redirector.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella2/g2Redirector.ml,v
retrieving revision 1.10
diff -u -u -w -r1.10 g2Redirector.ml
--- src/networks/gnutella2/g2Redirector.ml	17 May 2006 08:52:44 -0000	1.10
+++ src/networks/gnutella2/g2Redirector.ml	19 May 2006 21:58:32 -0000
@@ -48,14 +48,14 @@
           begin
             try
               let ip, port = String2.cut_at ip_port ':' in
-              if !verbose then lprintf_nl () "Received host %s:%s" ip port;
+              if !verbose then lprintf_nl "Received host %s:%s" ip port;
                 ignore (H.new_host (Ip.addr_of_string ip) (int_of_string port) Ultrapeer)
             with _ -> ()
           end
       | "u" :: url :: _ ->
           if not (List.mem url !!redirectors) then begin
             redirectors =:= url :: !!redirectors;
-            if !verbose then lprintf_nl () "Received redirector %s" url
+            if !verbose then lprintf_nl "Received redirector %s" url
           end
       | _ -> ()
   ) lines
@@ -80,12 +80,12 @@
               H.req_user_agent = get_user_agent ();
             } in
           if !verbose then
-            lprintf_nl () "Connecting G2 redirector: %s" url;
+            lprintf_nl "Connecting G2 redirector: %s" url;
           H.wget r g2_parse_redirector_page    
       ) !!redirectors;
     end else begin
       if !verbose then
-        lprintf_nl () "redirector recontacted in %d seconds"
+        lprintf_nl "redirector recontacted in %d seconds"
           (!next_redirector_access - last_time ())
     end
     
Index: src/networks/gnutella2/g2Supernode.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella2/g2Supernode.ml,v
retrieving revision 1.2
diff -u -u -w -r1.2 g2Supernode.ml
--- src/networks/gnutella2/g2Supernode.ml	17 May 2006 08:52:44 -0000	1.2
+++ src/networks/gnutella2/g2Supernode.ml	19 May 2006 21:58:32 -0000
@@ -340,7 +340,7 @@
         (make_handshake_request_headers req)
     in
     if !verbose_msg_servers then
-      lprintf_nl () "SENDING %s\n" (String.escaped msg);
+      lprintf_nl "SENDING %s\n" (String.escaped msg);
     
     write_string sock msg;
     set_gnutella_sock sock !verbose_msg_servers
Index: src/networks/soulseek/slskServers.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/soulseek/slskServers.ml,v
retrieving revision 1.12
diff -u -u -w -r1.12 slskServers.ml
--- src/networks/soulseek/slskServers.ml	10 Apr 2006 19:16:36 -0000	1.12
+++ src/networks/soulseek/slskServers.ml	19 May 2006 21:58:34 -0000
@@ -225,7 +225,7 @@
         match String2.split_simplify s ':' with
           [_;_;server_name; server_port] -> 
             let port = int_of_string server_port in
-            lprintf_nl () "NEW SERVER %s:%d" server_name port;
+            lprintf_nl "NEW SERVER %s:%d" server_name port;
             (*
             main_server_name =:= server_name;
 main_server_port =:= port;
Index: src/utils/cdk/printf2.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/cdk/printf2.ml,v
retrieving revision 1.16
diff -u -u -w -r1.16 printf2.ml
--- src/utils/cdk/printf2.ml	17 May 2006 08:52:44 -0000	1.16
+++ src/utils/cdk/printf2.ml	19 May 2006 21:58:34 -0000
@@ -198,12 +198,16 @@
   cprintf (fun s -> try !lprintf_handler s with _ -> ())
   (fmt : ('a,unit, unit) format )
 
+let lprintf2 m fmt =
+  cprintf (fun s -> try !lprintf_handler ((log_time ())^m^" "^s) with _ -> ())
+  (fmt : ('a,unit, unit) format )
+
 let lprintf_nl fmt =
   cprintf (fun s -> try !lprintf_handler ((log_time ())^s^"\n") with _ -> ())
   (fmt : ('a,unit, unit) format )
 
-let lprintf_nl2 fmt =
-  cprintf (fun s -> try !lprintf_handler (s^"\n") with _ -> ())
+let lprintf_nl2 m fmt =
+  cprintf (fun s -> try !lprintf_handler ((log_time ())^m^" "^s^"\n") with _ -> ())
   (fmt : ('a,unit, unit) format )
 
 let lprint_newline () = lprintf "\n"
Index: src/utils/cdk/printf2.mli
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/cdk/printf2.mli,v
retrieving revision 1.5
diff -u -u -w -r1.5 printf2.mli
--- src/utils/cdk/printf2.mli	7 Nov 2005 20:11:43 -0000	1.5
+++ src/utils/cdk/printf2.mli	19 May 2006 21:58:34 -0000
@@ -26,8 +26,9 @@
     result of [k] is then returned as the result of [cprintf]. *)
 
 val lprintf :  ('a, unit, unit) format -> 'a
+val lprintf2 :  string -> ('a, unit, unit) format -> 'a
 val lprintf_nl :  ('a, unit, unit) format -> 'a
-val lprintf_nl2 :  ('a, unit, unit) format -> 'a
+val lprintf_nl2 : string -> ('a, unit, unit) format -> 'a
 val lprint_newline : unit -> unit  
 val lprint_char : char -> unit  
 val lprint_string : string -> unit  
Index: src/utils/lib/unix32.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/lib/unix32.ml,v
retrieving revision 1.61
diff -u -u -w -r1.61 unix32.ml
--- src/utils/lib/unix32.ml	13 Apr 2006 23:55:25 -0000	1.61
+++ src/utils/lib/unix32.ml	19 May 2006 21:58:35 -0000
@@ -22,10 +22,10 @@
 open Int64ops
 open Printf2
 
-let lprintf_nl =
-  (fun format ->
-     lprintf "%s[Ux32] " (log_time ()); 
-     lprintf_nl2 format)
+let log_prefix = "[Ux32]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
   
 let chunk_min_size = ref 65000L
   
Index: src/utils/net/http_client.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/net/http_client.ml,v
retrieving revision 1.31
diff -u -u -w -r1.31 http_client.ml
--- src/utils/net/http_client.ml	15 May 2006 17:45:35 -0000	1.31
+++ src/utils/net/http_client.ml	19 May 2006 21:58:36 -0000
@@ -56,9 +56,10 @@
 type content_handler = 
   int -> (string * string) list -> TcpBufferedSocket.t -> int -> unit
 
-let lprintf_nl () =
-  lprintf "%s[HTTPcl] "
-      (log_time ()); lprintf_nl2
+let log_prefix = "[HTTPcl]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
 
 let basic_request = {
     req_url = Url.of_string "http://www.mldonkey.net/";
@@ -122,7 +123,7 @@
     Buffer.add_string res "\r\n";
   let s = Buffer.contents res in
   if !verbose then
-    lprintf_nl () "make_full_request on URL: %s" (String.escaped s);
+    lprintf_nl "make_full_request on URL: %s" (String.escaped s);
   s
 
 let split_head s =
@@ -144,7 +145,7 @@
   match headers with 
     [] -> failwith "Ill formed reply"
   | ans :: headers ->
-      if !verbose then lprintf_nl () "parse_header: ANSWER %s" ans;
+      if !verbose then lprintf_nl "parse_header: ANSWER %s" ans;
       let ans_code = int_of_string (String.sub ans 9 3) in
       let headers = List.map (fun s ->
             let sep = String.index s ':' in
@@ -244,7 +245,7 @@
         in
         let nread = ref false in
         if !verbose then 
-          lprintf_nl () "get_page: %s" (String.escaped request);
+          lprintf_nl "get_page: %s" (String.escaped request);
         TcpBufferedSocket.write_string sock request;
         TcpBufferedSocket.set_reader sock (http_reply_handler nread
             (default_headers_handler url level));
@@ -254,13 +255,13 @@
         )
 
     )
-  with e -> lprintf_nl () "error in get_url"; raise Not_found
+  with e -> lprintf_nl "error in get_url"; raise Not_found
 
   and default_headers_handler old_url level sock ans_code headers =
     let print_headers () =
       List.iter
         (fun (name, value) ->
-          lprintf_nl () "[%s]=[%s]" name value;
+          lprintf_nl "[%s]=[%s]" name value;
         ) headers;
     in
     if !verbose then print_headers ();
@@ -278,7 +279,7 @@
               try
                 content_length := int_of_string content
               with _ -> 
-                  lprintf_nl () "bad content length [%s]" content;
+                  lprintf_nl "bad content length [%s]" content;
         ) headers;
         let location = "Location", Url.to_string old_url in
         let content_handler = content_handler !content_length (location::headers) in
@@ -288,7 +289,7 @@
           content_handler sock buf.len
 
     | 301 | 302 | 304 ->
-        if !verbose then lprintf_nl () "%d: Redirect" ans_code;
+        if !verbose then lprintf_nl "%d: Redirect" ans_code;
   let retrynum = r.req_retry in
         if retrynum < r.req_max_retry then
           begin
@@ -311,7 +312,7 @@
                     (if old_url.Url.port = 80 then "" else Printf.sprintf ":%d" old_url.Url.port)
                     !url
               in
-              if !verbose then lprintf_nl () "Redirected to %s" url;
+              if !verbose then lprintf_nl "Redirected to %s" url;
               r.req_url <- (Url.of_string url);
               let r = { r with
       req_url = Url.of_string url;
@@ -320,46 +321,46 @@
         get_page r content_handler f
             
             with e ->
-                lprintf_nl () "error understanding redirect response %d" ans_code;
+                lprintf_nl "error understanding redirect response %d" ans_code;
                 print_headers ();
                 raise Not_found
                 
           end
         else 
-          lprintf_nl () "more than %d redirections, aborting." r.req_max_retry;
+          lprintf_nl "more than %d redirections, aborting." r.req_max_retry;
           raise Not_found
           
     | 404 ->
-        lprintf_nl () "404: Not found for: %s" (Url.to_string_no_args r.req_url);
+        lprintf_nl "404: Not found for: %s" (Url.to_string_no_args r.req_url);
         close sock (Closed_for_error "bad reply");
         raise Not_found
 
     | 502 | 503 | 504 ->
-        if !verbose then lprintf_nl () "%d: Unavailable" ans_code;
+        if !verbose then lprintf_nl "%d: Unavailable" ans_code;
   let retrynum = r.req_retry in
         if retrynum < r.req_max_retry then
           begin
             if !verbose then
               print_headers ();
       let seconds = (retrynum+1)*10 in
-              lprintf_nl () "retry %d/%d in %d seconds for %s"
+              lprintf_nl "retry %d/%d in %d seconds for %s"
           (retrynum+1) r.req_max_retry seconds (Url.to_string_no_args r.req_url);
       let r = { r with req_retry = retrynum+1 } in
         add_timer (float(seconds)) (fun t -> get_page r content_handler f)
     end
         else 
-          lprintf_nl () "more than %d retries, aborting." r.req_max_retry;
+          lprintf_nl "more than %d retries, aborting." r.req_max_retry;
           raise Not_found
           
     | _ ->
-        lprintf_nl () "%d: bad reply for: %s"
+        lprintf_nl "%d: bad reply for: %s"
           ans_code (Url.to_string_no_args r.req_url);
         close sock (Closed_for_error "bad reply");
         raise Not_found
   in
   get_url 0 r;
   if !error = true then begin
-      lprintf_nl () "failed!";
+      lprintf_nl "failed!";
       raise Not_found
     end
   
@@ -390,7 +391,7 @@
   (fun _ ->  
       let s = Buffer.contents file_buf in
       if s = "" then begin
-          lprintf_nl () "Empty content for url %s"
+          lprintf_nl "Empty content for url %s"
             (Url.to_string r.req_url);
       end;
       
@@ -409,7 +410,7 @@
       in
 
       let filename = Filename.concat webinfos_dir base in
-      if !verbose then lprintf_nl () "Filename: %s" filename;
+      if !verbose then lprintf_nl "Filename: %s" filename;
       Unix2.tryopen_write_bin filename (fun oc -> output_string oc s);
       if r.req_save_to_file_time <> 0. then
         Unix.utimes filename r.req_save_to_file_time r.req_save_to_file_time;
@@ -417,12 +418,12 @@
         (f filename : unit);
         if not r.req_save then Sys.remove filename
       with e ->  
-        lprintf_nl () "Exception %s in loading downloaded file %s" (Printexc2.to_string e) filename;
+        lprintf_nl "Exception %s in loading downloaded file %s" (Printexc2.to_string e) filename;
         Sys.remove filename;
         raise Not_found
   )
   with e -> 
-    lprintf_nl () "Exception %s in wget" (Printexc2.to_string e); 
+    lprintf_nl "Exception %s in wget" (Printexc2.to_string e); 
     raise Not_found
 
 let whead r f = 
@@ -486,5 +487,5 @@
           String.sub s (pos+1) (len-pos-1), key
     ) headers
   with e ->
-      lprintf_nl () "Exception in cut_headers: %s" (Printexc2.to_string e);
+      lprintf_nl "Exception in cut_headers: %s" (Printexc2.to_string e);
       raise e
Index: src/utils/net/http_server.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/net/http_server.ml,v
retrieving revision 1.28
diff -u -u -w -r1.28 http_server.ml
--- src/utils/net/http_server.ml	29 Mar 2006 15:41:33 -0000	1.28
+++ src/utils/net/http_server.ml	19 May 2006 21:58:36 -0000
@@ -23,9 +23,10 @@
 
 let verbose = ref false
 
-let lprintf_http_nl () =
-  lprintf "%s[HTTPsv] "
-  (log_time ()); lprintf_nl2
+let log_prefix = "[HTTPsv]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
 
 let html_escaped s =
   String2.convert false (fun b escaped c ->
@@ -261,7 +262,7 @@
               | _ -> options
             with e ->
                 if !debug then
-                    lprintf_http_nl () "Exception %s in header %s"
+                    lprintf_nl "Exception %s in header %s"
                       (Printexc2.to_string e) name;
                 options
 
@@ -786,7 +787,7 @@
   try
     iter new_pos
   with e ->
-      if !verbose then lprintf_http_nl () "Exception %s in request_handler"
+      if !verbose then lprintf_nl "Exception %s in request_handler"
         (Printexc2.to_string e);
       close sock (Closed_for_exception e)
 
@@ -805,7 +806,7 @@
         (match !Ip.banned from_ip with
            None -> true
          | Some reason ->
-             lprintf_http_nl () "%s:%d blocked: %s\n"
+             lprintf_nl "%s:%d blocked: %s\n"
                (Ip.to_string from_ip) from_port reason;
              false) then
         let token = create_token unlimited_connection_manager in
@@ -816,9 +817,9 @@
         TcpBufferedSocket.set_closer sock request_closer;
         TcpBufferedSocket.set_handler sock TcpBufferedSocket.BUFFER_OVERFLOW
           (fun _ -> TcpBufferedSocket.close sock Closed_for_overflow;
-	       lprintf_http_nl () "BUFFER OVERFLOW" );  ()
+         lprintf_nl "BUFFER OVERFLOW" );  ()
       else begin
-         lprintf_http_nl () "connection from %s rejected (see allowed_ips setting)"
+         lprintf_nl "connection from %s rejected (see allowed_ips setting)"
           (Ip.to_string from_ip);
         Unix.close s
       end
@@ -876,7 +877,7 @@
     x, Some y, Some z
   with
   | e ->
-      lprintf_http_nl () "Exception %s for range [%s]"
+      lprintf_nl "Exception %s for range [%s]"
         (Printexc2.to_string e) range;
       raise e
 
@@ -894,7 +895,7 @@
 (*  Range: bytes=31371876- *)
 let request_range r =
   if !verbose then List.iter (fun (h, v1) ->
-      lprintf_http_nl () "HEADER [%s] = [%s]" h v1
+      lprintf_nl "HEADER [%s] = [%s]" h v1
   ) r.headers;
   let range = List.assoc "Range" r.headers in
   match parse_range range with
Index: src/utils/net/ip_set.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/utils/net/ip_set.ml,v
retrieving revision 1.26
diff -u -u -w -r1.26 ip_set.ml
--- src/utils/net/ip_set.ml	3 Apr 2006 20:50:09 -0000	1.26
+++ src/utils/net/ip_set.ml	19 May 2006 21:58:36 -0000
@@ -3,14 +3,14 @@
 open Ip
 
 (* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[IPblock] "
-  (log_time ()); lprintf_nl2
+let log_prefix = "[IPblock]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
 
 (* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[IPblock] "
-  (log_time ()); lprintf
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 module H = Weak.Make(struct
 	type t = string
@@ -206,7 +206,7 @@
 	with _ ->
 	  if not !error then
 	    begin
-	      lprintf_n () "Syntax error while loading IP blocklist in line";
+        lprintf_n "Syntax error while loading IP blocklist in line";
 	      error := true
 	    end;
 	    lprintf " %d" !nlines;
@@ -215,7 +215,7 @@
   if !error then lprint_newline ();
   if remove then (try Sys.remove filename with _ -> ());
   let optimized_bl = bl_optimize !bl in
-  lprintf_nl () "%d ranges loaded - optimized to %d" !nranges (bl_length optimized_bl);
+  lprintf_nl "%d ranges loaded - optimized to %d" !nranges (bl_length optimized_bl);
 (*    bl_optimizedp optimized_bl;
     for i=0 to 999999 do
       let random_ip = Ip.of_ints (Random.int 256, Random.int 256, Random.int 256, Random.int 256) in
@@ -227,7 +227,7 @@
   optimized_bl
 
 let load filename =
-  lprintf_nl () "loading %s" filename;
+  lprintf_nl "loading %s" filename;
   if Sys.file_exists filename then
     let last_ext = String.lowercase (Filename2.last_extension filename) in
     if last_ext = ".zip" then
@@ -242,21 +242,21 @@
 		| h :: q ->
 		    try
 		      let file = Zip.find_entry ic h in
-		      lprintf_nl () "%s found in zip file" h;
+          lprintf_nl "%s found in zip file" h;
 		      ignore(Misc.archive_extract filename "zip");
 		      load_merge bl_empty file.Zip.filename true
 		    with Not_found ->
 		      find_in_zip q in
 	    find_in_zip filenames_list
 	  with e ->
-	    lprintf_nl () "Exception %s while extracting %s from %s"
+      lprintf_nl "Exception %s while extracting %s from %s"
 	      (Printexc2.to_string e) 
 	      (String.concat "/" filenames_list)
 	      filename;
-	    lprintf_nl () "One of the mentioned files has to be present in the zip file";
+      lprintf_nl "One of the mentioned files has to be present in the zip file";
 	    bl_empty)
       with e ->
-	lprintf_nl () "Exception %s while opening %s"
+  lprintf_nl "Exception %s while opening %s"
 	  (Printexc2.to_string e)
 	  filename;
 	bl_empty)
@@ -271,17 +271,17 @@
 	      let s = Misc.archive_extract filename filetype in
 	      load_merge bl_empty s true
 	    with e ->
-	      lprintf_nl () "Exception %s while extracting from %s"
+        lprintf_nl "Exception %s while extracting from %s"
 		(Printexc2.to_string e) filename;
 	      bl_empty)
         | ".tar.bz2" | ".p2p.tar.bz2" | ".dat.tar.bz2"
         | ".tar.gz" | ".p2p.tar.gz" | ".dat.tar.gz" ->
-	    lprintf_nl () "tar files are not (yet) supported, please untar %s" filename;
+      lprintf_nl "tar files are not (yet) supported, please untar %s" filename;
 	    bl_empty
         | _ -> load_merge bl_empty filename false
   else
     begin
-      lprintf_nl () "file %s not found" filename;
+      lprintf_nl "file %s not found" filename;
       bl_empty
     end
 
